Subject: Re: [PATCH] r8169: add module param for control of ASPM disable

From: Matthew Garrett <[email-masked]>
Date: Sat, 12 Nov 2011 04:59:36 +0000

On Fri, Nov 11, 2011 at 03:05:55PM -0800, Todd Broch wrote:
> ASPM has been disabled in this driver by default as its been
> implicated in stability issues on at least one platform.  This CL adds
> a  module parameter to allow control of ASPM disable.  The default
> value is to enable ASPM again as its provides signficant (200mW) power
> savings on the platform I tested.

The default is then to break some hardware. That's not reasonable. 
Instead, we need to identify which chip versions are broken and limit 
the blacklist to them.

-- 
Matthew Garrett | [email-masked]